Subject: Re: cygwin's emacs
From: "George Hester" <[email-masked]>
To: [email-masked]
Date: Wed, 10 Mar 2004 19:35:26 -0500

OK someone sent me a FAQ which did do the trick.  In the cygwin.bat file in C:\cygwin I entered this before the call to the bash shell:

Set CYGWIN=tty notitle glob

Are there any gotchas here?  tty seems amenable enough as does notitle.  But the one that has me worried is glob.  I don't want my cygwin globbing anything into "Not Working" if I can help it.  Thanks.

George Hester
__________________________________
"Christopher Faylor" <> wrote in message news:[email-masked]...
> On Tue, Mar 09, 2004 at 10:46:47PM -0500, George Hester wrote:
> >I go into emacs easy enough.  I start cygwin and type emacs and there I
> >am in emacs.  The directions say to exit type C-x C-c where C is the
> >control key.  I am assuming that is the left control key.  So I hold
> >down the left control key and type x.  I get a C-x in the lower bottom
> >of the window.  I then try C-c which is holding down the left control
> >key and hitting the c key.  Nothing.  Justy a ding.  In fact I casnnot
> >exit from emacs at all.  Does anyone have a way of exiting from emacs
> >which works?  Thanks.
> 
> Either set the environment variable CYGWIN=tty prior to running any
> cygwin program or run emacs under rxvt.  CTRL-C is not remappable in
> the normal cygwin console due to windows constraints.
> --
> Please use the resources at cygwin.com rather than sending personal email.
> Special for spam email harvesters: send email to [email-masked]
> and be permanently blocked from mailing lists at sources.redhat.com
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/